<?php

/**
 * The plugin bootstrap file
 *
 * This file is read by WordPress to generate the plugin information in the plugin
 * admin area. This file also includes all of the dependencies used by the plugin,
 * registers the activation and deactivation functions, and defines a function
 * that starts the plugin.
 *
 * @link              https://www.valentinog.com
 * @since             1.0.0
 * @package           Enquiry_Woo
 *
 * @wordpress-plugin
 * Plugin Name:       Enquiry Woo
 * Description:       Enquiry Woo adds a contact form to every Woocommerce product
 * Version:           1.0.0
 * Author:            Valentino Gagliardi
 * Author URI:        https://www.valentinog.com/
 * License:           GPL-2.0+
 * License URI:       http://www.gnu.org/licenses/gpl-2.0.txt
 * Text Domain:       enquiry-woo
 * Domain Path:       /languages
 */

// If this file is called directly, abort.
if ( ! defined( 'ABSPATH' ) ) {
	die;
}

define( 'ENQUIRY_WOO_VERSION', '1.0.0' );

/**
 * The code that runs during plugin activation.
 */
function activate_enquiry_woo() {
	require_once plugin_dir_path( __FILE__ ) . 'includes/class-enquiry-woo-activator.php';
	Enquiry_Woo_Activator::activate();
}

/**
 * The code that runs during plugin deactivation.
 */
function deactivate_enquiry_woo() {
	require_once plugin_dir_path( __FILE__ ) . 'includes/class-enquiry-woo-deactivator.php';
	Enquiry_Woo_Deactivator::deactivate();
}

register_activation_hook( __FILE__, 'activate_enquiry_woo' );
register_deactivation_hook( __FILE__, 'deactivate_enquiry_woo' );

/**
 * The core plugin class that is used to define internationalization,
 * admin-specific hooks, and public-facing site hooks.
 */
require plugin_dir_path( __FILE__ ) . 'includes/class-enquiry-woo.php';

/**
 * Begins execution of the plugin.
 *
 * Since everything within the plugin is registered via hooks,
 * then kicking off the plugin from this point in the file does
 * not affect the page life cycle.
 *
 * @since    1.0.0
 */
function run_enquiry_woo() {

	$plugin = new Enquiry_Woo();
	$plugin->run();

}
run_enquiry_woo();