<?php

/**
 * Fired during plugin activation
 *
 * @link       http://example.com
 * @since      1.0.0
 *
 * @package    Enquiry_Woo
 * @subpackage Enquiry_Woo/includes
 */

/**
 * Fired during plugin activation.
 *
 * This class defines all code necessary to run during the plugin's activation.
 *
 * @since      1.0.0
 * @package    Enquiry_Woo
 * @subpackage Enquiry_Woo/includes
 * @author     Valentino Gagliardi <valentino@valentinog.com>
 */
class Enquiry_Woo_Activator {

	/**
	 * Short Description. (use period)
	 *
	 * Long Description.
	 *
	 * @since    1.0.0
	 */
	public static function activate() {
		// Die if Woocommerce is not installed
		if ( !in_array( 'woocommerce/woocommerce.php', get_option( 'active_plugins' ) ) ) {
			__('Cannot activate the plugin: Woocommerce is not installed', 'enquiry-woo');
			die;
		}

		// Die if Contact Form is not installed
		if ( !in_array( 'contact-form-7/wp-contact-form-7.php', get_option( 'active_plugins' ) ) ) {
			__('Cannot activate the plugin: Contact Form is not installed', 'enquiry-woo');
			die;
		}
	}

}